Name:          jing
Version:       20241231
Release:       1mamba
Summary:       Schema validation and conversion based on RELAX NG
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://relaxng.org/jclark/
Source:        https://github.com/relaxng/jing-trang/releases/download/V%{version}/jing-%{version}.zip
Source1:       jing.sh
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
Requires:      java-runtime

%description
Schema validation and conversion based on RELAX NG.

%define debug_package %{nil}

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -D -m644 bin/jing.jar %{buildroot}%{_javadir}/jing/jing.jar
ln -s jing.jar %{buildroot}%{_javadir}/jing/jing-%{version}.jar
install -D -m755 %{SOURCE1} %{buildroot}%{_bindir}/jing

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/jing
%{_javadir}/jing/jing-%{version}.jar
%{_javadir}/jing/jing.jar

%changelog
* Mon Dec 30 2024 Automatic Build System <autodist@openmamba.org> 20241231-1mamba
- automatic version update by autodist

* Mon Dec 30 2024 Automatic Build System <autodist@openmamba.org> 20241229-1mamba
- automatic version update by autodist

* Mon Dec 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 20220510-1mamba
- package created using the webbuild interface
